# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-06-03 14:46
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import django_countries.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('scipost', '0055_auto_20170519_0937'),
        ('partners', '0004_auto_20170519_1425'),
    ]

    operations = [
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('kind', models.CharField(max_length=128)),
                ('title', models.CharField(choices=[('PR', 'Prof.'), ('DR', 'Dr'), ('MR', 'Mr'), ('MRS', 'Mrs')], max_length=4)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Institution',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('kind', models.CharField(choices=[('Res. Inst.', 'Research Institute'), ('Int. Fund. Agency', 'International Funding Agency'), ('Nat. Fund. Agency', 'National Funding Agency'), ('Nat. Lab.', 'National Laboratory'), ('Nat. Library', 'National Library'), ('Nat. Acad.', 'National Academy'), ('Univ. Library', 'University (and its Library)'), ('Res. Library', 'Research Library'), ('Prof. Soc.', 'Professional Society'), ('Foundation', 'Foundation'), ('Individual', 'Individual')], max_length=32)),
                ('name', models.CharField(max_length=256)),
                ('acronym', models.CharField(max_length=16)),
                ('address', models.CharField(blank=True, max_length=1000, null=True)),
                ('country', django_countries.fields.CountryField(max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='PartnerEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event', models.CharField(choices=[('initial', 'Contacted (initial)'), ('status_update', 'Status updated'), ('comment', 'Comment added')], max_length=64)),
                ('comments', models.TextField(blank=True, null=True)),
                ('noted_on', models.DateTimeField(default=django.utils.timezone.now)),
                ('noted_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scipost.Contributor')),
            ],
        ),
        migrations.CreateModel(
            name='ProspectiveContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(choices=[('PR', 'Prof.'), ('DR', 'Dr'), ('MR', 'Mr'), ('MRS', 'Mrs')], max_length=4)),
                ('first_name', models.CharField(max_length=64)),
                ('last_name', models.CharField(max_length=64)),
                ('email', models.EmailField(max_length=254)),
                ('role', models.CharField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='ProspectivePartnerEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event', models.CharField(choices=[('comment', 'Comment added')], max_length=64)),
                ('comments', models.TextField(blank=True, null=True)),
                ('noted_on', models.DateTimeField(default=django.utils.timezone.now)),
                ('duration', models.DurationField(blank=True, null=True)),
                ('noted_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scipost.Contributor')),
            ],
        ),
        migrations.RemoveField(
            model_name='contactperson',
            name='user',
        ),
        migrations.RemoveField(
            model_name='partner',
            name='country',
        ),
        migrations.RemoveField(
            model_name='partner',
            name='institution_acronym',
        ),
        migrations.RemoveField(
            model_name='partner',
            name='institution_address',
        ),
        migrations.RemoveField(
            model_name='partner',
            name='institution_name',
        ),
        migrations.RemoveField(
            model_name='partner',
            name='partner_type',
        ),
        migrations.RemoveField(
            model_name='prospectivepartner',
            name='email',
        ),
        migrations.RemoveField(
            model_name='prospectivepartner',
            name='first_name',
        ),
        migrations.RemoveField(
            model_name='prospectivepartner',
            name='last_name',
        ),
        migrations.RemoveField(
            model_name='prospectivepartner',
            name='partner_type',
        ),
        migrations.RemoveField(
            model_name='prospectivepartner',
            name='role',
        ),
        migrations.RemoveField(
            model_name='prospectivepartner',
            name='title',
        ),
        migrations.AddField(
            model_name='prospectivepartner',
            name='kind',
            field=models.CharField(choices=[('Res. Inst.', 'Research Institute'), ('Int. Fund. Agency', 'International Funding Agency'), ('Nat. Fund. Agency', 'National Funding Agency'), ('Nat. Lab.', 'National Laboratory'), ('Nat. Library', 'National Library'), ('Nat. Acad.', 'National Academy'), ('Univ. Library', 'University (and its Library)'), ('Res. Library', 'Research Library'), ('Prof. Soc.', 'Professional Society'), ('Foundation', 'Foundation'), ('Individual', 'Individual')], default='Univ. Library', max_length=32),
        ),
        migrations.AlterField(
            model_name='partner',
            name='financial_contact',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='partner_financial_contact', to='partners.Contact'),
        ),
        migrations.AlterField(
            model_name='partner',
            name='main_contact',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='partner_main_contact', to='partners.Contact'),
        ),
        migrations.AlterField(
            model_name='partner',
            name='technical_contact',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='partner_technical_contact', to='partners.Contact'),
        ),
        migrations.DeleteModel(
            name='ContactPerson',
        ),
        migrations.AddField(
            model_name='prospectivepartnerevent',
            name='prospective_partner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='partners.ProspectivePartner'),
        ),
        migrations.AddField(
            model_name='prospectivecontact',
            name='institution',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='partners.ProspectivePartner'),
        ),
        migrations.AddField(
            model_name='partnerevent',
            name='partner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='partners.Partner'),
        ),
        migrations.AddField(
            model_name='partner',
            name='institution',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='partners.Institution'),
        ),
    ]
